资料库错误 , 请大神帮忙


#1

从元旦开始 , 每天都在折腾 , 一直弄不好
硬件 : i3-2350M HM65工控主板 2G内存 闪迪16G SSD 日立HUS724030ALE641
系统 : Debian 10 最小化安装 SSH/内核 ( centos装不进去 , 找不到原因 )
环境 : 用宝塔面板6.0 编译安装 nginx 1.18 mysql-mariadb_10.1
jdk-8u271-linux-x64.tar.gz
python3 python3-setuptools python3-pip python3-ldap
pip3 django-simple-captcha libpython2.7
版本 : seafile-pro-server_7.1.11_x86-64_Ubuntu.tar (目前安装的)
以前还装过 : seafile-pro-server_7.1.2_x86-64.tar.gz
seafile-pro-server_6.3.14_x86-64.tar.gz
seafile-pro-server_7.1.2_x86-64.tar.gz
seafile-pro-server_7.1.9_x86-64_Ubuntu.tar
seafile-pro-server_7.1.10_x86-64_Ubuntu.tar
现在的问题是登录后,我的资料库错误 , 不能新建 , 点设置页面显示如下:

Page unavailable

Sorry, but the requested page is unavailable due to a server hiccup.

Our engineers have been notified, so check back later.

宝塔面板 80 443 3306 8000 这4个端口正常 , 8082端口未使用

纯菜鸟零基础 , 没接触过linux , 不懂编程 , 没学过计算机语言 , 都是照着网站的服务器手册和各大神的教程 ,
一步步安装的 . ( 一键脚本拒绝连接, 不知道什么原因) 实在没办法了 , 来个大神帮帮忙.


#2

看seahub 日志报错
https://cloud.seafile.com/f/f72d09cd688643b4b1ce/?dl=1 Centos安装脚本
https://cloud.seafile.com/f/b54779681f1841ca94cc/?dl=1 Ubuntu安装脚本


#3

日志看不懂啊
2021-02-02 04:28:12,743 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seahub-db
2021-02-02 04:28:12,771 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seafile-db
2021-02-02 04:28:13,193 [INFO] seafevents.app.config:126 load_file_history_config The file with the following suffix will be recorded into the file history: md,txt,doc,docx,xls,xlsx,ppt,pptx
2021-02-02 04:28:13,208 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seahub-db
2021-02-02 04:28:13,210 [INFO] seafevents:118 is_audit_enabled audit is enabled
2021-02-02 04:29:29,888 [INFO] seafes:162 load_seafevents_conf [seafes] use highlighter fvh
2021-02-02 04:29:32,100 [ERROR] seahub.views:1170 react_fake_view [Errno 2] No such file or directory
2021-02-02 04:29:32,101 [ERROR] seahub.views:1178 react_fake_view [Errno 2] No such file or directory
2021-02-02 04:29:34,413 [INFO] seafes:162 load_seafevents_conf [seafes] use highlighter fvh
2021-02-02 04:29:34,414 [INFO] seafes:162 load_seafevents_conf [seafes] use highlighter fvh
2021-02-02 04:29:36,278 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/repos/
Traceback (most recent call last):
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 88, in _get_transport
transport = self._pool.get(False)
File “/usr/lib/python3.7/queue.py”, line 167, in get
raise Empty
_queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/base.py”, line 249, in _legacy_get_response
response = self._get_response(request)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/base.py”, line 187, in _get_response
response = self.process_exception_by_middleware(e, request)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/base.py”, line 185, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/views/decorators/csrf.py”, line 58, in wrapped_view
return view_func(*args, **kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/views/generic/base.py”, line 68, in view
return self.dispatch(request, *args, **kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 505, in dispatch
response = self.handle_exception(exc)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 465, in handle_exception
self.raise_uncaught_exception(exc)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 476, in raise_uncaught_exception
raise exc
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 502, in dispatch
response = handler(request, *args, **kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/seahub/api2/endpoints/repos.py”, line 90, in get
ret_corrupted=True)
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/seaserv/api.py”, line 151, in get_owned_repo_list
start, limit)
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 100, in call_remote_func_sync
transport = self._get_transport()
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 90, in _get_transport
transport = self._create_transport()
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 83, in _create_transport
transport.connect()
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 47, in connect
self.pipe.connect(self.socket_path)
FileNotFoundError: [Errno 2] No such file or directory


#4

你看一下能重启服务吗


#5

关闭
Stopping seafile server …
Done.
dsdz@Beyond:/www/seafile/seafile-server-latest$ ./seahub.sh stop # 停止 Seahub

Stopping seahub …
Done.
开启
** Message: 21:45:45.794: seafile-controller.c(1009): loading seafdav config from /www/seafile/conf/seafdav.conf

[02/02/21 21:45:46] …/common/session.c(158): using config file /www/seafile/conf/ccnet.conf
[02/02/21 21:45:46] …/common/license.c(437): Loading license file /www/seafile/seafile-license.txt …
[02/02/21 21:45:46] …/common/license.c(440): License file /www/seafile/seafile-license.txt does not exist, allow at most 3 trial users
License file /www/seafile/seafile-license.txt does not exist, allow at most 3 trial users
Starting seafile server, please wait …
** Message: 21:45:46.312: seafile-controller.c(1009): loading seafdav config from /www/seafile/conf/seafdav.conf

Seafile server started

Done.
dsdz@Beyond:/www/seafile/seafile-server-latest$ ./seahub.sh start # 启动 Seahub 网站

LC_ALL is not set in ENV, set to en_US.UTF-8
Starting seahub at port 8000 …

Seahub is started

Done.
都可以


#6

最新的日志
2021-02-02 04:28:12,743 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seahub-db
2021-02-02 04:28:12,771 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seafile-db
2021-02-02 04:28:13,193 [INFO] seafevents.app.config:126 load_file_history_config The file with the following suffix will be recorded into the file history: md,txt,doc,docx,xls,xlsx,ppt,pptx
2021-02-02 04:28:13,208 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seahub-db
2021-02-02 04:28:13,210 [INFO] seafevents:118 is_audit_enabled audit is enabled
2021-02-02 04:29:29,888 [INFO] seafes:162 load_seafevents_conf [seafes] use highlighter fvh
2021-02-02 04:29:32,100 [ERROR] seahub.views:1170 react_fake_view [Errno 2] No such file or directory
2021-02-02 04:29:32,101 [ERROR] seahub.views:1178 react_fake_view [Errno 2] No such file or directory
2021-02-02 04:29:34,413 [INFO] seafes:162 load_seafevents_conf [seafes] use highlighter fvh
2021-02-02 04:29:34,414 [INFO] seafes:162 load_seafevents_conf [seafes] use highlighter fvh
2021-02-02 04:29:36,278 [ERROR] django.request:135 handle_uncaught_exception Internal Server Error: /api/v2.1/repos/
Traceback (most recent call last):
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 88, in _get_transport
transport = self._pool.get(False)
File “/usr/lib/python3.7/queue.py”, line 167, in get
raise Empty
_queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/exception.py”, line 41, in inner
response = get_response(request)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/base.py”, line 249, in _legacy_get_response
response = self._get_response(request)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/base.py”, line 187, in _get_response
response = self.process_exception_by_middleware(e, request)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/core/handlers/base.py”, line 185, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/views/decorators/csrf.py”, line 58, in wrapped_view
return view_func(*args, **kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/django/views/generic/base.py”, line 68, in view
return self.dispatch(request, *args, **kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 505, in dispatch
response = self.handle_exception(exc)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 465, in handle_exception
self.raise_uncaught_exception(exc)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 476, in raise_uncaught_exception
raise exc
File “/www/seafile/seafile-pro-server-7.1.11/seahub/thirdpart/rest_framework/views.py”, line 502, in dispatch
response = handler(request, *args, **kwargs)
File “/www/seafile/seafile-pro-server-7.1.11/seahub/seahub/api2/endpoints/repos.py”, line 90, in get
ret_corrupted=True)
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/seaserv/api.py”, line 151, in get_owned_repo_list
start, limit)
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/client.py”, line 126, in newfunc
ret_str = self.call_remote_func_sync(fcall_str)
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 100, in call_remote_func_sync
transport = self._get_transport()
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 90, in _get_transport
transport = self._create_transport()
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 83, in _create_transport
transport.connect()
File “/www/seafile/seafile-pro-server-7.1.11/seafile/lib/python3.6/site-packages/pysearpc/named_pipe.py”, line 47, in connect
self.pipe.connect(self.socket_path)
FileNotFoundError: [Errno 2] No such file or directory
2021-02-02 13:46:28,360 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seahub-db
2021-02-02 13:46:28,402 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seafile-db
2021-02-02 13:46:28,858 [INFO] seafevents.app.config:126 load_file_history_config The file with the following suffix will be recorded into the file history: md,txt,doc,docx,xls,xlsx,ppt,pptx
2021-02-02 13:46:28,885 [INFO] seafevents.db:74 create_engine_from_conf [seafevents] database: mysql, name: seahub-db
2021-02-02 13:46:28,887 [INFO] seafevents:118 is_audit_enabled audit is enabled


#7

https://cloud.seafile.com/f/b54779681f1841ca94cc/?dl=1 Ubuntu安装脚本
大神,这个脚本怎么用啊 , 我只会用
wget -O install.sh http://download.bt.cn/install/install-ubuntu_6.0.sh && bash install.sh
这种简单的脚本